#include <Component.h>


Component :: Component()
{
	name_ = "";
	origComp_ = "";
	min_ = 0;
	max_ = 0;
	color_ = "black";
}


Component :: Component(string name, float min, float max, string color) :
	name_(name),
	min_(min),
	max_(max),
	color_(color)
{
	origComp_ = "";
}


void Component :: name(string n_)
{
	name_ = n_;
}


void Component :: comp(string c_)
{
	comp_ = c_;
}


void Component :: min(float m_)
{
	min_ = m_;
}


void Component :: max(float m_)
{
	max_ = m_;
}


void Component :: color(string c_)
{
	color_ = c_;
}


string Component :: name()
{
	return name_;
}


string Component :: comp()
{
	return comp_;
}


float Component :: min()
{
	return min_;
}


float Component :: max()
{
	return max_;
}


string Component :: color()
{
	return color_;
}


void Component :: range(float v_)
{
	if ( v_ < min_ )
		min_ = v_;

	if ( v_ > max_ )
		max_ = v_;
}



